# Shared_Buffer Struct Reference

`#include <video_dec_gie.h>`

List of all members.

## Public Attributes

struct v4l2_buffer | v4l2_buf
NvBuffer * | buffer
NvBuffer * | shared_buffer
void * | arg
int | bProcess

## Detailed Description

Definition at line 41 of file video_dec_gie.h.

## Member Data Documentation

void * Shared_Buffer::arg

Definition at line 46 of file video_dec_gie.h.

int Shared_Buffer::bProcess

Definition at line 47 of file video_dec_gie.h.

NvBuffer * Shared_Buffer::buffer

Definition at line 44 of file video_dec_gie.h.

NvBuffer * Shared_Buffer::shared_buffer

Definition at line 45 of file video_dec_gie.h.

struct v4l2_buffer Shared_Buffer::v4l2_buf `[read]`

Definition at line 43 of file video_dec_gie.h.

The documentation for this struct was generated from the following files:

- samples/04_video_dec_gie/video_dec_gie.h
- samples/backend/v4l2_backend_test.h